Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.context
Class FormatList

    java.lang.Object
      org.deegree.portal.context.FormatList

    public class FormatList

extends Object

encapsulates a FormatList as defined by the OGC Web Map Context specification

Version:
  $Revision: 18195 $
Author:
  Andreas Poth

Constructor Summary
`FormatList(Format[] formats)` Creates a new FormatList object.

Method Summary
`void` | `addFormat(Format format)`
`void` | `clear()`
`Format` | `getCurrentFormat()`
`Format` | `getFormat(String name)`
`Format[]` | `getFormats()`
`Format` | `removeFormat(String name)`
`void` | `setFormats(Format[] formats)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormatList

    public FormatList(Format[] formats)
               throws ContextException

  Creates a new FormatList object.

  Parameters:
    `formats` -
  Throws:
    `ContextException`

Method Detail

### getFormats

    public Format[] getFormats()

  Returns:
    the formats

### setFormats

    public void setFormats(Format[] formats)
                    throws ContextException

  Parameters:
    `formats` -
  Throws:
    `ContextException`

### getCurrentFormat

    public Format getCurrentFormat()

  Returns:
    current format

### getFormat

    public Format getFormat(String name)

  Parameters:
    `name` -
  Returns:
    named format

### addFormat

    public void addFormat(Format format)

  Parameters:
    `format` -

### removeFormat

    public Format removeFormat(String name)

  Parameters:
    `name` -
  Returns:
    removed format

### clear

    public void clear()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org